<?
if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    header("Location: /");
	exit();
}?>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Рекламная цепочка на <?=$sitename ?> <? if(isset($_GET['edit'])) echo '<span style="font-weight:normal; color:#212121; font-size:10px; text-shadow:none">(<font color="#800000">Редактирование</font>)</span>'; ?></h3>
<? if(isset($_GET['edit'])) {
?>
Здесь вы можете изменить рекламный текст и прочие параметры рекламной площадки. В случае изменения заголовка, описания или url-адреса, площадка будет направлена на проверку. После прохождения проверки, реклама будет снова доступна к запуску.<br /><br />
<?} else {
?>
Главное преимущество цепочной рекламы на <b><?=$sitename ?></b> — это максимально качественная аудитория. Пользователь не получает вознаграждения за клик по вашей рекламе. А если уже кликнул - значит ему ваш ресурс действительно интересен. Цепочная реклама расположена почти на всех страницах <b><?=$sitename ?></b>. Ваша реклама может находиться в ротаторе сколь угодно долго. Вы платите только за фактический переход по ссылке.<br /><br />
<?
}
?>
<style type="text/css">
#error {
    color: #800000;
    text-align: center;
    padding: 5px 0;
    font-weight: bold;
}
</style>
<script type="text/javascript">
$(document).ready(function(){
    $('#description, #url').tipTip({defaultPosition:'left'});
})
</script>
<?php
if ($_GET['edit']) {
    $ident = intval($_GET['edit']);
    $sql = mysql_query("SELECT * FROM cep_links WHERE paused=1 and fromus='$_SESSION[iduser]' and id='$ident'") or die(mysql_error());
    if(mysql_num_rows($sql) == 0) {
        echo '<div id="error">Перед редактированием необходимо приостановить рекламную кампанию<div>';
    } else {
        $res = mysql_fetch_assoc($sql);
        ?>
<script type="text/javascript">
function upcep() {
    $.post('ajax.php?func=upcep',{
        id : <? echo htmlspecialchars($_GET['edit'])?>,
        description : $('#description').val(),
        url : $('#url').val()
    }, function(data){
        if (data == 1) {
            hax({url:'/mcep', id:'flax'});
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000)
        }
    });
    return false;
}
</script>
<form onsubmit="upcep(); return false;">
<table class="otab" width="100%" border="0" cellpadding="0" cellspacing="1">
    <thead>
        <tr>
            <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 143px;">Форма редактирования рекламная цепочки</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" /></span></th>
        </tr>
    </thead>
    <tr class="open" style="display: none;">
        <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
    </tr>
    <tr>
        <td class="lt" width="48%">Текст ссылки</td>
        <td class="rt"><input class="val" type="text" name="description" id="description" size="38" maxlength="55" value="<?=$res['description']; ?>" title="<b>Текст ссылки</b> - максимум 55 символов.<br />Текст должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">URL сайта (включая http://)</td>
        <td class="rt"><input class="val" type="text" name="url" id="url" size="38" maxlength="300" value="<? if(isset($_GET['edit'])) { echo $res['url']; }else{ echo "http://"; } ?>" title="<b>URL-адрес</b> ссылки должен начинаться с http:// или https://<br />и содержать не более 300 символов. Не используйте HTML-теги и Java-скрипты.<br />За попытки взлома системы, наказание - удаление аккаунта" /></td>
    </tr>
    <tr>
        <td class="lt">Стоимость одного просмотра</td>
        <td class="rt"><span style='font-size: 16px;' id="summa"><?=$advcep ?></span> <?=$sitevalname ?></td>
    </tr>
</table>
</form>
        <?
    }
} else {
?> 
<script type="text/javascript">
function ceps() {
    $.post('ajax.php?func=addcep',{
        description : $('#description').val(),
        url : $('#url').val()
    }, function(data){
        if (data == 1) {
            hax({url:'/mcep', id:'flax'});
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000)
        }
    });
    return false;
}
</script>
<form onsubmit="ceps(); return false;">
<table class="otab" width="100%" border="0" cellpadding="0" cellspacing="1">
    <thead>
        <tr>
            <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 143px;">Форма для размещения рекламная цепочки</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" /></span></th>
        </tr>
    </thead>
    <tr class="open" style="display: none;">
        <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
    </tr>
    <tr>
        <td class="lt" width="48%">Текст ссылки</td>
        <td class="rt"><input class="val" type="text" name="description" id="description" size="38" maxlength="55" value="<?=$res['description']; ?>" title="<b>Текст ссылки</b> - максимум 55 символов.<br />Текст должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">URL сайта (включая http://)</td>
        <td class="rt"><input class="val" type="text" name="url" id="url" size="38" maxlength="300" value="<? if(isset($_GET['edit'])) { echo $res['url']; }else{ echo "http://"; } ?>" title="<b>URL-адрес</b> ссылки должен начинаться с http:// или https://<br />и содержать не более 300 символов. Не используйте HTML-теги и Java-скрипты.<br />За попытки взлома системы, наказание - удаление аккаунта" /></td>
    </tr>
    <tr>
        <td class="lt">Стоимость одного просмотра</td>
        <td class="rt"><span style='font-size: 16px;' id="summa"><?=$advcep ?></span> <?=$sitevalname ?></td>
    </tr>
</table>
</form>
<?}?>